eclipse启动时提示 A Java Runtime Environment or Java Development Kit must be available to run Eclipse

原创 2015年07月07日 22:40:59

这里写图片描述

1、首先确保已经成功安装了jdk,环境变量也配置正确。
2、因为Eclipse需要javaw.exe来启动,程序会先查找path目录,如果没有找到,这会在eclipse的安装目录下查找,再找不到就会报如上的错误。所以可以肯定的就是路径出问题了。来到eclipse的安装目录,找到eclipse.ini文件里的vm这行:将vm下面一行改成你的javaw.exe的路径。

-startup
plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.200.v20120522-1813
-product
com.android.ide.eclipse.adt.package.product
--launcher.XXMaxPermSize
256m
-showsplash
org.eclipse.platform
--launcher.XXMaxPermSize
256m
--launcher.defaultAction
openFile
-vm
C:\Program Files (x86)\Java\jdk1.8.0_45\bin
-vmargs   
-Dosgi.requiredJavaVersion=1.6
-Declipse.buildId=v21.1.0-569685
-Xms40m
-Xmx768m
版权声明:本文为博主原创文章,未经博主允许不得转载。

Windows下的2016 最新版 Eclipse启动出现:a java runtime environment(JRE) or java dev

错误如图 问度娘答案就两种  1.修改eclipse.int文件下的 java路径 但是 新版并没有 2. 有人说 配置系统变量 这个安装后都有配置的 仍然报错   最后一种 方法 把ja...

Windows下的Eclipse启动出现:a java runtime environment(JRE) or java development kit(JDK) must be....

错误: 解决方法: 系统变量里设置下面: 变量名:JAVA_HOME 变量值:C:\Program Files\Java\jdk1.6.0_25 变量名:CLASSPATH 变量值:...

Eclipse启动出现:a java runtime environment(JRE) or java development kit(JDK) must be....

之前启动eclipse都是好的,今天启动eclipse突然提示A Java RunTime Environment (JRE) or Java Development Kit (JDK) must b...

Eclipse启动时报错:A Java RunTime Environment (JRE) or Java Development Kit (JDK) must be available in ord

eclipse启动时报错:a java runtime environment (jre) or java development kit (jdk) must be available in ord...

经典错误重现->Java RunTime Environment (JRE) or Java Development Kit (JDK) must be available in order to

经常碰到这种错误,错误代码如下: Java RunTime Environment (JRE) or Java Development Kit (JDK) must be available in o...

J2EE进阶(二十)MyEclipse无法启动--Runtime Environment (JRE) or Java Development Kit (JDK) must be available

J2EE进阶(二十)MyEclipse无法启动–Runtime Environment (JRE) or Java Development Kit (JDK) must be available in...

A Java Runtime Environment (JRE) or Java Development Kit (JDK) must be avail

A Java RunTime Environment (JRE) or Java Development Kit (JDK) must be available in order to run Ecl...
  • wwbmyos
  • wwbmyos
  • 2012年05月12日 22:12
  • 15345

eclipse在Linux下安装时出现错误:A java Runtime environment(jre) or ......

问题Linux下启动eclipse时出现错误A java Runtime environment(jre) or java Development Kit(JDK) must be available...

windows 下 eclipse 启动报错 A Java Runtime Environment (JRE)

我今天就遇到了这种情况,就是以下这个错误了 A Java Runtime Environment (JRE) 这是第一招,重新检查一下你的环境变量 修改eclipse.int文件下的 Java路径 ...
  • a050235
  • a050235
  • 2017年02月28日 23:33
  • 734

eclipse Java 运行环境配置之添加已安装的 JRE(Java Runtime Environment)

eclipse Java 运行环境配置之添加已安装的 JRE(Java Runtime Environment)1、选择 eclipse 的WIndows菜单》Preferences 预设MacOS ...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:eclipse启动时提示 A Java Runtime Environment or Java Development Kit must be available to run Eclipse
举报原因:
原因补充:

(最多只允许输入30个字)